#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: abstract-deque
version: 0.3
id: abstract-deque-0.3-LkeWHH7SS5Y83xRhK9EdFK
key: abstract-deque-0.3-LkeWHH7SS5Y83xRhK9EdFK
license: BSD-3-Clause
maintainer: rrnewton@gmail.com
author: Ryan R. Newton
homepage: https://github.com/rrnewton/haskell-lockfree/wiki
synopsis: Abstract, parameterized interface to mutable Deques.
description:
    An abstract interface to highly-parameterizable queues/deques.
    .
    Background: There exists a feature space for queues that extends between:
    .
    * simple, single-ended, non-concurrent, bounded queues
    .
    * double-ended, threadsafe, growable queues
    .
    ... with important points inbetween (such as
    the queues used for work-stealing).
    .
    This package includes an interface for Deques that allows the
    programmer to use a single API for all of the above, while using the
    type-system to select an efficient implementation given the
    requirements (using type families).
    .
    This package also includes a simple reference implementation based
    on '\''IORef'\'' and "Data.Sequence".
category: Data
abi: d5471558defd40b2efc88e8a6ac5a2bc
exposed: True
exposed-modules:
    Data.Concurrent.Deque.Class Data.Concurrent.Deque.Debugger
    Data.Concurrent.Deque.Reference
    Data.Concurrent.Deque.Reference.DequeInstance
import-dirs: /usr/lib/ghc-8.4.2/site-local/abstract-deque-0.3
library-dirs: /usr/lib/ghc-8.4.2/site-local/abstract-deque-0.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/abstract-deque-0.3
hs-libraries: HSabstract-deque-0.3-LkeWHH7SS5Y83xRhK9EdFK
depends:
    base-4.11.1.0 array-0.5.2.0 random-1.1-9LLJAJa4iQFLJiLXBOBXBV
    containers-0.5.11.0 time-1.8.0.2
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             array-0.5.2.0=59560c027ff6ea5b7e467a38c579b575
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=552cb76a5e53a808564c851a382c09ce
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
haddock-interfaces: /usr/share/doc/haskell-abstract-deque/html/abstract-deque.haddock
haddock-html: /usr/share/doc/haskell-abstract-deque/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

